All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::z_handler< VectorT, viennacl::linalg::no_precond > Class Template Reference

`#include <cg.hpp>`

## Public Member Functions

| z_handler (VectorT &residual)
VectorT & | get ()

## Detailed Description

### template<typename VectorT>
class viennacl::linalg::detail::z_handler< VectorT, viennacl::linalg::no_precond >

Definition at line 103 of file cg.hpp.

## Constructor & Destructor Documentation

template<typename VectorT >

viennacl::linalg::detail::z_handler< VectorT, viennacl::linalg::no_precond >::z_handler | ( | VectorT & | residual | ) |

inline

Definition at line 105 of file cg.hpp.

## Member Function Documentation

template<typename VectorT >

VectorT& viennacl::linalg::detail::z_handler< VectorT, viennacl::linalg::no_precond >::get | ( |  | ) |

inline

Definition at line 106 of file cg.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/cg.hpp